
TYPO3.Media - Feature # 55778

Status: Resolved Priority: Should have
Author: Dominique Feyer Category:
Created: 2014-02-07 Assigned To: Dominique Feyer
Updated: 2014-04-10 Due date:
Subject: Add a cache around getimagesize
Description

getimagesize need to read the full file from disk, so it impact performance a lots, a cache for those value can have a positive impact

Associated revisions
Revision 86e505b3 - 2014-04-10 10:35 - Dominique Feyer

[FEATURE] Add cache for Image size and type

The function getimagesize need to load the file from disk on every
call. This patch introduce a new cache to store the height, width
and image type based on resource unique hash.

Change-Id: Ic50b52f3981e9031ef9e5de912713a3992464421
Resolves: #55778
Releases: master, 1.1
Reviewed-on: https://review.typo3.org/27428
Reviewed-by: Aske Ertmann
Reviewed-by: Dominique Feyer
Tested-by: Dominique Feyer
Reviewed-by: Robert Lemke
Tested-by: Robert Lemke
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller

Revision 83b493e8 - 2014-04-10 18:29 - Dominique Feyer

[FEATURE] Add cache for Image size and type

The function getimagesize need to load the file from disk on every
call. This patch introduce a new cache to store the height, width
and image type based on resource unique hash.

Change-Id: Ic50b52f3981e9031ef9e5de912713a3992464421
Resolves: #55778
Releases: master, 1.1
Reviewed-on: https://review.typo3.org/29347
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller

History
#1 - 2014-02-07 22:34 - Gerrit Code Review
https://review.typo3.org/27428
https://review.typo3.org/29347


- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/27428

#2 - 2014-02-08 11:48 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/27428

#3 - 2014-02-08 11:51 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/27428

#4 - 2014-02-10 12:31 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/27428

#5 - 2014-02-10 14:05 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/27428

#6 - 2014-02-10 14:05 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/27428

#7 - 2014-02-23 20:57 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/27428

#8 - 2014-03-27 20:43 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/27428

#9 - 2014-04-10 10:50 - Dominique Feyer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:86e505b349b4a8e71f36e32c40babcbd0ab1b4b3.

#10 - 2014-04-10 18:21 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 1.1 of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/29347

#11 - 2014-04-10 18:43 - Dominique Feyer
- Status changed from Under Review to Resolved

Applied in changeset commit:83b493e8cffbf16e0056679ff4d12611f9fe6efe.
